OVH Community, your new community space.

Problèmes de versions de Kernel


WtFHeberg
06/02/2014, 18h04
Je te remercie, j'ai déjà pu effectuer un tri.
Cependant il me reste le problème de la dépendance de lib6c, une idée ?

starouille
06/02/2014, 17h46
déjà c'est uname -r pour voir les info de kernel. Le reste, c'est des fichiers (en général mis à jour de façon asynchrone par des scripts de post install ou des cron) dont on s'en fiche.

Ensuite, essaye plutôt d'installer un package dispo dans les dépots plutôt que de faire un wget d'un deb et un dpkg...

apt-get update && apt-cache search linux-image devrait t'en retourner un paquet.

WtFHeberg
06/02/2014, 17h12
Bonjour à tous,
je viens vers vous après avoir essayé une dizaine de fois de mettre correctement mon kernel à jour.

j'étais en version 3.10.28 OVH , cependant cette version buguait avec les serveurs de jeu CS:GO (véridique). J'ai donc opté pour passer en version 3.12 en réalisant ce genre de commandes:

# wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.12-saucy/linux-headers-3.12.0-031200-generic_3.12.0-031200.201311031935_amd64.deb
# wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.12-saucy/linux-image-3.12.0-031200-generic_3.12.0-031200.201311031935_amd64.deb
# wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.12-saucy/linux-headers-3.12.0-031200_3.12.0-031200.201311031935_all.deb

# sudo dpkg -i linux-headers-3.12*.deb linux-image-3.12*.deb

Cependant, à chaque installation ( parce que après je suis passé en 3.13, pusi revenu en 3.12, enfin j'ai mis un gros bazar) j'avais cela:

Code:
root@ks203536:/boot# dpkg -i linux-headers-3.12.1*.deb linux-image-3.12.1*.deb
(Lecture de la base de données... 115160 fichiers et répertoires déjà installés.                                                                                        )
Préparation du remplacement de linux-headers-3.12.1-031201 3.12.1-031201.2013112                                                                                        01654 (en utilisant linux-headers-3.12.1-031201_3.12.1-031201.201311201654_all.d                                                                                        eb) ...
Dépaquetage de la mise à jour de linux-headers-3.12.1-031201 ...
Préparation du remplacement de linux-headers-3.12.1-031201-generic 3.12.1-031201                                                                                        .201311201654 (en utilisant linux-headers-3.12.1-031201-generic_3.12.1-031201.20                                                                                        1311201654_amd64.deb) ...
Dépaquetage de la mise à jour de linux-headers-3.12.1-031201-generic ...
Préparation du remplacement de linux-image-3.12.1-031201-generic 3.12.1-031201.2                                                                                        01311201654 (en utilisant linux-image-3.12.1-031201-generic_3.12.1-031201.201311                                                                                        201654_amd64.deb) ...
Examining /etc/kernel/preinst.d/
Done.
Dépaquetage de la mise à jour de linux-image-3.12.1-031201-generic ...
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.12.1-031201-generic /boot/vmlinuz-3.12.1-031201-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.12.1-031201-generic /boot/vmlinuz-3.12.1-031201-generic
Paramétrage de linux-headers-3.12.1-031201 (3.12.1-031201.201311201654) ...
dpkg: des problèmes de dépendances empêchent la configuration de linux-headers-3.12.1-031201-generic*:
 linux-headers-3.12.1-031201-generic dépend de libc6 (>= 2.14)*; cependant*:
  La version de libc6:amd64 sur le système est 2.13-38.

dpkg: erreur de traitement de linux-headers-3.12.1-031201-generic (--install)*:
 problèmes de dépendances - laissé non configuré
Paramétrage de linux-image-3.12.1-031201-generic (3.12.1-031201.201311201654) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Not updating initrd symbolic links since we are being updated/reinstalled
(3.12.1-031201.201311201654 was configured last, according to dpkg)
Not updating image symbolic links since we are being updated/reinstalled
(3.12.1-031201.201311201654 was configured last, according to dpkg)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.12.1-031201-generic /boot/vmlinuz-3.12.1-031201-generic
update-initramfs: Generating /boot/initrd.img-3.12.1-031201-generic
W: mdadm: /etc/mdadm/mdadm.conf defines no arrays.
W: mdadm: no arrays defined in configuration file.
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.12.1-031201-generic /boot/vmlinuz-3.12.1-031201-generic
Generating grub.cfg ...
Found linux image: /boot/vmlinuz-3.12.1-031201-generic
Found initrd image: /boot/initrd.img-3.12.1-031201-generic
  No volume groups found
done
Des erreurs ont été rencontrées pendant l'exécution*:
 linux-headers-3.12.1-031201-generic
Je n'arrive pas à upgrader libc6...

De plus, je remarque que j'ai encore des problèmes de kernel différents:

cat/etc/issue
Code:
Debian GNU/Linux 7.1

Linux ks203536.kimsufi.com 3.8.13-xxxx-grs-ipv6-64 #4 SMP Mon Aug 5 14:37:04 CEST 2013 x86_64 GNU/Linux

server    : 175394
hostname  : ks203536.kimsufi.com
eth0 IPv4 : 91.121.210.26
eth0 IPv6 : 2001:41d0:1:ff1a::1/64
cat /proc/version

Code:
Linux version 3.12.1-031201-generic (apw@gomeisa) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #201311201654 SMP Wed Nov 20 21:54:49 UTC 2013
Ainsi y aurait-il des commandes magiques pour mettre entièrement mon serveur à jour, ou régler ces problèmes de dépendances ?

Si je fais apt-get -f install ça me supprime mon linux-headers-3.12.1-031201-generic ce qui n'est pas le but je suppose...